Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class FalsePositiveAnalyzer

    java.lang.Object
      org.owasp.dependencycheck.analyzer.AbstractAnalyzer
          org.owasp.dependencycheck.analyzer.FalsePositiveAnalyzer

All Implemented Interfaces:
  Analyzer

    public class FalsePositiveAnalyzer

extends AbstractAnalyzer

This analyzer attempts to remove some well known false positives - specifically regarding the java runtime.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Field Summary
`static Pattern` | `CORE_FILES` Regex to identify core java library files.
`static Pattern` | `CORE_JAVA` Regex to identify core java libraries and a few other commonly misidentified ones.

Constructor Summary
`FalsePositiveAnalyzer()`

Method Summary
`void` | `analyze(Dependency dependency, Engine engine)` Analyzes the dependencies and removes bad/incorrect CPE associations based on various heuristics.
`AnalysisPhase` | `getAnalysisPhase()` Returns the phase that the analyzer is intended to run in.
`String` | `getName()` Returns the name of the analyzer.
`Set<String>` | `getSupportedExtensions()` Returns a list of file EXTENSIONS supported by this analyzer.
`boolean` | `supportsExtension(String extension)` Returns whether or not this analyzer can process the given extension.

Methods inherited from class org.owasp.dependencycheck.analyzer.AbstractAnalyzer
`close, initialize, newHashSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CORE_JAVA

    public static final Pattern CORE_JAVA

  Regex to identify core java libraries and a few other commonly misidentified ones.

### CORE_FILES

    public static final Pattern CORE_FILES

  Regex to identify core java library files. This is currently incomplete.

Constructor Detail

### FalsePositiveAnalyzer

    public FalsePositiveAnalyzer()

Method Detail

### getSupportedExtensions

    public Set<String> getSupportedExtensions()

  Returns a list of file EXTENSIONS supported by this analyzer.

  Returns:
    a list of file EXTENSIONS supported by this analyzer.

### getName

    public String getName()

  Returns the name of the analyzer.

  Returns:
    the name of the analyzer.

### supportsExtension

    public boolean supportsExtension(String extension)

  Returns whether or not this analyzer can process the given extension.

  Parameters:
    `extension` - the file extension to test for support
  Returns:
    whether or not the specified file extension is supported by this analyzer.

### getAnalysisPhase

    public AnalysisPhase getAnalysisPhase()

  Returns the phase that the analyzer is intended to run in.

  Returns:
    the phase that the analyzer is intended to run in.

### analyze

    public void analyze(Dependency dependency,
                        Engine engine)
                 throws AnalysisException

  Analyzes the dependencies and removes bad/incorrect CPE associations based on various heuristics.

  Parameters:
    `dependency` - the dependency to analyze.
    `engine` - the engine that is scanning the dependencies
  Throws:
    `AnalysisException` - is thrown if there is an error reading the JAR file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.